nala (0.12.0) unstable; urgency=medium

  [ Changes ]
  * Add Turkish translation
  * Allow fetch to accept ranges and comma separation
  * List and Search work slightly differently. See man page
  * Remove prompt for kept back pkgs during an upgrade
  * Show Remove and Auto-Remove packages last during the summary
  * Add a more condensed summary accessed by config option or `--simple`
  * Allow installing .deb by passing a URL.
  * Add prompt for unauthenticated local debs.

  [ Bug Fixes ]
  * Fetch sometimes adding duplicate entries
  * Update summary showing `0 Bytes/s`
  * Ask prompt not accepting `yes` or English when in different locals
  * Informing a reboot is needed when it is not
  * Fix transfer_speed_bits type in config
  * Update summary not showing bits when enabled in config
  * Unable to select version if available in multiple repos
  * Search end-of-text regexp not finding matches
  * Search printing duplicate results
  * Python site packages causing Nala to crash
  * Crash if local .deb is missing installed size
  * Claiming all pkgs are up to date when lock fails
  * Unable to install packages from a local repository
  * `--install-suggests` missing from man pages
  * Search not respecting `--all-arches` switch
  * Search displaying wrong origin occasionally
  * Fix exception when shell completion fails

 -- Blake Lee <blake@volian.org>  Tue, 20 Dec 2022 19:56:01 -0600

nala (0.11.1) unstable; urgency=medium

  [ Changes ]
  * Use source epoch for man page date

 -- Blake Lee <blake@volian.org>  Tue, 02 Aug 2022 22:37:07 -0400

nala (0.11.0) unstable; urgency=medium

  [ Changes ]
  * Lower `fetch` concurrent tests from 50 to 25 improving consistency
  * Config option to list upgradable packages after `update`
  * Support for Devuan mirrors into `fetch`
  * Default to foss repos instead of non-free for Debian
  * Support Termux environment
  * Add glob and regex support to `list`/`search`
  * Config option to change between decimal and binary for downloads
  * Config option to change download speed from bytes to bits
  * Add `g/` and `r/` prefixes to specify glob and regex
    respectively with `list` and `search`
  * Default to HTTPS mirrors for `fetch`
  * Add `--https-only` switch to `fetch` to only get HTTPS mirrors
  * Determine distro and release by using the Debian/Ubuntu keyring package.
    This change should allow all children distros to be supported so long as
    they remain tied to their parent repositories

  [ Bug Fixes ]
  * Not able to pass options containing `=` to `apt` with `--option`
  * Exception with `typer` on commands that use `--option`
  * `--country` switch for `fetch` is case sensitive
  * No error when unable to find suitable mirrors
  * `debconf` prompts not showing and hanging on some systems
  * `fetch` crashing if there is a directory in `sources.list.d/`
  * New line not printing at the end of a transaction on some terminals

 -- Blake Lee <blake@volian.org>  Mon, 01 Aug 2022 19:17:19 -0400

nala (0.10.0) unstable; urgency=medium

  [ Changes ]
  * Add config option to pass arguments to install hooks
  * Use man pages for `--help` menu
  * Add `assume_yes` configuration option

  [ Bug Fixes ]
  * `upgrade` fails sometimes when using install hooks
  * Local .debs cannot be installed
  * `fetch` sometimes crashing on a bad mirror
  * Lowered referesh rate to minimize flicker
  * .debs without a reported size are uninstallable
  * `history` sometimes overwriting entries
  * `upgrade --exclude` not working at all
  * Local .debs not installing recommended pkgs

 -- Blake Lee <blake@volian.org>  Tue, 19 Jul 2022 00:03:28 -0400

nala (0.9.1) unstable; urgency=medium

  [ Bug Fixes ]
  * `upgrade` fails sometimes when using install hooks
  * `autoremove` and `autopurge` commands not working
  * Unable to `upgrade` if there is an issue with any repository

 -- Blake Lee <blake@volian.org>  Thu, 09 Jun 2022 10:47:49 -0400

nala (0.9.0) unstable; urgency=medium

  [ Changes ]
  * Add a version `diff` in the new version column to increase readability
  * Change config file to `toml`. This is a breaking change, the older config
    file will not work
  * Add configuration option to disable auto updating the package cache when
    running the `upgrade` command (Closes: #1010913)
  * Add configuration option for pre and post install hooks

  [ Bug Fixes ]
  * Nala stating that it was unable to determine why packages were
    held even if it was able too
  * `fetch` ask prompt not defaulting to yes
  * Exception when using tab completion if the `pkgcache.bin` file
    has not been generated.

 -- Blake Lee <blake@volian.org>  Mon, 23 May 2022 15:53:49 -0400

nala (0.8.2) unstable; urgency=medium

  [ Changes ]
  * Add helper for common incorrect commands
  * Correctly attribute original author of `apt-metalink` in
    the Debian copyright file

  [ Bug Fixes ]
  * Exception when filtering user installed package list
  * Unable to continue upgrade if packages have been kept back
  * Not handling broken install during upgrade

 -- Blake Lee <blake@volian.org>  Fri, 06 May 2022 12:43:00 -0400

nala (0.8.1) unstable; urgency=medium

  [ Bug Fixes ]
  * KeyError exception when installing local `.deb` files
  * Packages that can be autoremoved not showing in the transaction
    summary when they won't be removed.

 -- Blake Lee <blake@volian.org>  Sun, 24 Apr 2022 20:44:14 -0400

nala (0.8.0) unstable; urgency=medium

  [ Changes ]
  * Add `-n --names`, `-i --installed`, `-u --upgradable`, `-v --virtual`
    to the `search` command
  * Add `list` command which shares all switches with the `search` command
    except for `-n, \--names` and `-A, --all-arches`
  * Perf: Replace `fetch` ping subprocesses with httpx to grab Release file
    this is a more meaningful metric than just pure latency
  * Add default interactive menu for `fetch`. The old style can be accessed
    by using `--auto`
  * Add `--purge` switch to purge any package that would be removed
  * Add `--lists` and `--fetch` to `clean` command. This will remove the
    package lists from `update` and the sources from `fetch` respectively
  * Replace `argparser` with `typer`
  * Remove a lot of bloated `dpkg` switches and add `-o --option`
  * Perf: Optimize the `search` command so it's a little faster. In my tests
    search times took half as long
  * Remove options to update the cache from `show`, `list` and `search`
  * Raise max connections per mirror to 3. This helps when downloading
    a lot of small files.
  * Add lock file so you can't run two instances of `nala` where packages
    will be manipulated
  * Add `purged` section to the history file to keep track of when
    a transaction is a purge vs remove
  * Add `User-Installed` section to the history file to keep track of
    packages explicitly installed with `nala`. This will not add their
    dependencies into the list, only what was specified to be installed.
    Packages installed with `apt` will not make it into this list, but
    packages removed with `apt` will be removed the next time `nala` writes
    the history file
  * Add `history --installed` to view these packages. And `--nala-installed`
    for the `list` and `search` commands
  * Add `--assume-no` switch to complement `--assume-yes`
  * Improve the column formatting during the install summary
  * Use `typer` dynamic completion files. For `zsh` and `fish` users
    this will greatly improve your experience
  * Perf: remove `jsbeautifier` and use no whitespace `json` for history.
    The performance improvements from this are rather large.
  * Add `--config` switch to `autoremove` and `autopurge` which will
    additionally `purge` any packages in the rc state. `autoremove` requires
    the `--purge` switch for this to work
  * Add initial translations for Bengali, Portuguese Brazil, Spanish,
    Polish, Russian and Swedish. These are beta and could contain bugs
    or are not yet complete

  [ Bug Fixes ]
  * Exception due to compatibility with older versions of `history.json`
  * The number of connections to mirrors not actually being limited
  * Sometimes not downloading a package properly. This was a rare bug
  * Not being able to use SOCKS proxy with `nala`. This requires the
    `python3-socksio` package, which is now a Recommends
  * Not being able to `purge` packages that have been removed but have
    config files that remain on the system. AKA rc state
  * `dpkg` progress bar not always hitting 100% on completion
  * Exception when piping input into `nala`

 -- Blake Lee <blake@volian.org>  Fri, 22 Apr 2022 12:29:32 -0400

nala (0.7.3) unstable; urgency=medium

  [ Bug Fixes ]
  * Fix Debian files with the help of <stephanlachnit@debian.org>

 -- Blake Lee <blake@volian.org>  Mon, 04 Apr 2022 12:40:02 -0400

nala (0.7.2) unstable; urgency=medium

  [ Bug Fixes ]
  * CRITICAL: Nala not erroring when downloading unauthenticated packages
  * Exception when reading older history files

 -- Blake Lee <blake@volian.org>  Sun, 03 Apr 2022 14:37:03 -0400

nala (0.7.1) unstable; urgency=medium

  [ Bug Fixes ]
  * No error when a package can't be found during install
  * Not following redirects when downloading
  * Handle connection errors when updating package list similar to apt
  * `Nala Update` not showing packages that are upgradable

 -- Blake Lee <blake@volian.org>  Sun, 27 Mar 2022 16:23:21 -0400

nala (0.7.0) unstable; urgency=medium

  [ Changes ]
  * Add `--sources` switch to `fetch` and don't enable them by default
  * Improve local deb install messages
  * Add `autoremove`/`autopurge` commands
  * Add config file in `/etc/nala/nala.conf`. The current two configs
    1. A toggle to disable the scrolling text
    2. A toggle to disable Nala auto-removing by default
  * Add `upgrade --exclude` to allow a package not to be upgraded
  * Tweak colors to better support light terminals
  * `update` is no longer an alias for `upgrade`. It will now function
    the same way that `apt` does. `upgrade` will continue to update
    the package list by default.
  * Make spinners smoother during dpkg progress

  [ Bug Fixes ]
  * Update progress bar sometimes shows a garbage msg
  * `dpkg` not respecting window resize signals
  * Downloader not raising status to catch 404 errors
  * `fetch` adding amd64 mirrors for arm users
  * `fetch` adding mirrors without the proper release
  * Fish not showing packages on commands that accept pkgs
  * Exception when showing a package from a non standard URL
  * Import error in some environments like conda

 -- Blake Lee <blake@volian.org>  Fri, 25 Mar 2022 15:07:51 -0400

nala (0.6.0) unstable; urgency=medium

  [ Changes ]
  * Add `--no-install-recommends` and `--install-suggests`
  * Initial support for locales with `gettext`. Currently only
    German is supported.
  * Separate what packages are being removed vs auto-removed
  * Improved the handling of virtual packages
  * Improve error handling and other information
  * Improve handling of local `.deb` packages
  * Remove `/var/log/nala/nala.log` considering the history is
    an exact replica of this.
  * You can now specify a version of a package the same way you can
    with `apt`. `nala install nala=0.6.0`
  * Several performance improvements
  * Add Reinstalling and Downgrading into the summary
  * Use the `dpkg --status-fd` for advancing the progress bar
  * Add fish completion

  [ Bug Fixes ]
  * CRITICAL: Nala would install packages that have a bad hash sum
  * Force `LANG=C` for parsing `dpkg` output as to not break in
    languages that aren't English. `--raw-dpkg` will switch back
    to your language, but Nala will not format the text or show
    a progress bar.
  * Packages are uninstallable if it has virtual packages
    in recommends or suggests
  * Bash-completion incompatible with zsh
  * Live display shows wrong title when fixing broken packages
  * Summary shows extra packages won't be installed when they are
  * Several bugs related to Nala running through a pipe
  * Not being able to install virtual packages like `steam` or `mate`

 -- Blake Lee <blake@volian.org>  Fri, 11 Mar 2022 23:03:58 -0500

nala (0.5.2) unstable; urgency=medium

  [ Bug Fixes ]
  * Nala won't allow package downgrades when installing local `.deb`
  * New and Old version numbers switched in upgrade summary
  * Some post install notices not showing the full message
  * dpkg progress bar sometimes going over the total
  * Nala not writing to `/var/log/nala/term.log`
  * Many fixes related to ascii compatibility mode
  * Not being able to install from repo with pip
  * `history` opening cache when it doesn't need to
  * Optimize `search` command and transaction summary

 -- Blake Lee <blake@volian.org>  Wed, 23 Feb 2022 15:47:15 -0500

nala (0.5.1) unstable; urgency=medium

  [ Bug Fixes ]
  * Can't install packages that have virtual packages in suggests
  * No error handling for `search` regex compilation errors
  * Exception throw in `search` on packages without a description
  * No argument checking for `search`
  * Bash-completion not showing `search` switches

 -- Blake Lee <blake@volian.org>  Tue, 22 Feb 2022 11:45:03 -0500

nala (0.5.0) unstable; urgency=medium

  [ Changes ]
  * Change `--noninteractive` switch to `--non-interactive`
  * Add `search` subcommand
  * Add `--fix-broken` and `--no-fix-broken` switches
  * Add fish completion
  * Add `--no-install-recommends` and `--install-suggests`
  * Nala now shows Recommended or Suggested packages when they
    aren't due to be installed.
  * Change bash-completion to be compatible with zsh

  [ Bug Fixes ]
  * `fetch` setting release to sid if it's unable to determine release
  * Unable to install local `.deb` that doesn't have dependencies
  * Nala checking `priority: required` instead of essential
  * Nala not showing packages kept back during an upgrade
  * Nala sometimes not notifying that a reboot is required
  * Install hangs when non-interactive due to `need-restart` bug

 -- Blake Lee <blake@volian.org>  Mon, 21 Feb 2022 18:41:44 -0500

nala (0.4.2) unstable; urgency=medium

  [ Bug Fixes ]
  * Formatting breaks with `apt-listbugs` if bugs aren't present

 -- Blake Lee <blake@volian.org>  Sat, 19 Feb 2022 07:40:34 -0500

nala (0.4.1) unstable; urgency=medium

  [ Bug Fixes ]
  * Nala deadlocking due to `apt-listbugs`
  * Nala not formatting `apt-listdifferences` properly

 -- Blake Lee <blake@volian.org>  Fri, 18 Feb 2022 23:08:15 -0500

nala (0.4.0) unstable; urgency=medium

  [ Changes ]
  * Replace threaded downloader with an async one
  * Add estimated time to download and dpkg progress bars
  * On dpkg completion change spinner to green check mark
  * Add `-a` `--all-versions` switch for `show` command
  * Add `--remove-essential` switch to allow breaking your system
  * Add initial support for installing local debs

  [ Bug Fixes ]
  * Nala not showing `pacstall` `-deb` packages properly
  * Filler sometimes inserted wrong during list update
  * History not logging files that were auto-removed
  * `dpkg` panel title saying updating during a history operation
  * Progress bar showing `100%` when all operations haven't completed
  * Scroll bar title `Updating Packages` when it is fetching archives
  * Nala throwing exception on broken packages
  * Several bugs related to operations on packages with no candidate
  * Fetch not working on Pop!_OS
  * History file corrupting if Nala is interrupted at just the right moment

 -- Blake Lee <blake@volian.org>  Mon, 07 Feb 2022 15:39:23 -0500

nala (0.3.0) unstable; urgency=medium

  * Replaced aria2 with internal downloader
  * Improved the show command's output
  * Improved `--raw-dpkg` by forking normally instead of pty
  * Distinguish Remove and Auto-Remove packages
  * Add `--no-autoremove` switch
  * Add dpkg progress bar
  * Add support for readline environment variable
  * Apt no longer redownloads packages with an epoch.

 -- Blake Lee <blake@volian.org>  Sat, 22 Jan 2022 15:56:25 -0500

nala (0.2.1) unstable; urgency=medium

  * Critical bug fix. `nala clean` attempts to remove files
    in the root directory due to the apt_pkg config not being
    initialized.

 -- Blake Lee <blake@volian.org>  Tue, 11 Jan 2022 16:10:41 -0500

nala (0.2.0) unstable; urgency=medium

  * Nala is now distributed with a nuitka binary
  * Nala now uses rich for the update progress
  * Improved `nala fetch` reliability and performance
  * History file format is now pure json and more readable
  * Nala's clean command no longer subprocesses `apt clean`
  * Nala transactions with `--download-only` no longer make it
    into the history file.

 -- Blake Lee <blake@volian.org>  Mon, 10 Jan 2022 17:57:24 -0500

nala (0.1.4) unstable; urgency=medium

  * Fixed a bug where nothing can download
  * Added error handling for url requests

 -- Blake Lee <blake@volian.org>  Tue, 28 Dec 2021 08:32:25 -0500

nala (0.1.3) unstable; urgency=medium

  * Security fixes
  * Fixed a bug where `nala --update` would throw an exception
  * Fixed a bug where using Ubuntu mirrors.txt in sources.list
  * A lot of code refactoring and optimizations
  * `fetch` distro detection should be more reliable, but only
    compatible with Debian and Ubuntu

 -- Blake Lee <blake@volian.org>  Mon, 27 Dec 2021 17:39:44 -0500

nala (0.1.2) unstable; urgency=medium

  * Big holiday update
  * debconf is now fully supported, along with apt-listchanges
  * Added purge command
  * Added --update to update the cache,
    install no longer automatically updates the cache for you.
  * Added a bunch of --conf options.
  * Added --raw-dpkg in case you want regular ugly output
  * Added wildcard* for install and remove commands
  * Some History updates, you will likely need to remove your
    old history file at /var/lib/nala/history
  * While we're still in early development mandatory dpkg-debug
    will be added to /var/log/nala
  * Made general formatting changes

 -- Blake Lee <blake@volian.org>  Sun, 19 Dec 2021 12:26:54 -0500

nala (0.1.1) unstable; urgency=medium

  * Big changes to output formatting
  * Added --verbose global switch
  * Added clean command
  * Nala now uses a debug log file for --debug mode
  * A few bug fixes.

 -- Blake Lee <blake@volian.org>  Mon, 06 Dec 2021 09:29:38 -0500

nala (0.1.0) unstable; urgency=medium

  * nala experimental release

 -- Blake Lee <blake@volian.org>  Mon, 29 Nov 2021 15:12:55 -0500
